from django.http.request import HttpRequest
from django.http.response import HttpResponse
from django.shortcuts import redirect, render

from lists.models import Item

# Create your views here
def home_page(request):
    if request.method == 'POST':
        Item.objects.create(text=request.POST['item_text'])
        return redirect('/')

    items = Item.objects.all() # get objects from database (model)
    return render(request=request, 
                    template_name='home.html', 
                    context={'items': items}) # pass items into template using render